org.fourthline.cling.model.message.header

## Class UDADeviceTypeHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<DeviceType>
  - - org.fourthline.cling.model.message.header.DeviceTypeHeader
    - - org.fourthline.cling.model.message.header.UDADeviceTypeHeader

-     public class UDADeviceTypeHeader
      extends DeviceTypeHeader

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDADeviceTypeHeader()`
    `UDADeviceTypeHeader(DeviceType value)`
    `UDADeviceTypeHeader(URI uri)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.DeviceTypeHeader

      `getString`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UDADeviceTypeHeader

          public UDADeviceTypeHeader()

    - #### UDADeviceTypeHeader

          public UDADeviceTypeHeader(URI uri)

    - #### UDADeviceTypeHeader

          public UDADeviceTypeHeader(DeviceType value)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Overrides:
        `setString` in class `DeviceTypeHeader`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.